<?php
/**
 * @package   acychecker
 * @copyright Copyright (c)2021-2023 Acyba SAS
 * @license   GNU General Public License version 3, or later
 */
?><?php

namespace AcyCheckerCmsServices;


class Ajax
{
    public static function sendAjaxResponse($message = '', $data = [], $success = true)
    {
        $response = [
            'message' => $message,
            'data' => $data,
            'status' => $success ? 'success' : 'error',
        ];

        wp_send_json($response);
    }
}
