<?php
/**
 * @package   acychecker
 * @copyright Copyright (c)2021-2023 Acyba SAS
 * @license   GNU General Public License version 3, or later
 */
?><?php

namespace AcyCheckerCmsServices;


class Extension
{
    public static function isExtensionActive($extension)
    {
        if (function_exists('is_plugin_active')) return is_plugin_active($extension);

        return file_exists(WP_PLUGIN_DIR.DS.$extension);
    }

    public static function getPluginsPath($file, $dir)
    {
        return substr(plugin_dir_path($file), 0, strpos(plugin_dir_path($file), plugin_basename($dir)));
    }
}
